org.apache.http.conn.params

## Class ConnManagerParams

- java.lang.Object
- - org.apache.http.conn.params.ConnManagerParams

All Implemented Interfaces:
  ConnManagerPNames

Deprecated.
(4.1) use configuration methods of the specific connection manager implementation.

    @Deprecated
    @Contract(threading=IMMUTABLE)
    public final class ConnManagerParams
    extends Object
    implements ConnManagerPNames

An adaptor for manipulating HTTP connection management parameters in `HttpParams`.

Since:
  4.0
See Also:
  `ConnManagerPNames`

### Field Summary

Fields
`static int` `DEFAULT_MAX_TOTAL_CONNECTIONS` Deprecated. The default maximum number of connections allowed overall

### Fields inherited from interface org.apache.http.conn.params.ConnManagerPNames

`MAX_CONNECTIONS_PER_ROUTE, MAX_TOTAL_CONNECTIONS, TIMEOUT`

### Constructor Summary

Constructors
Constructor and Description
`ConnManagerParams()` Deprecated.

### Method Summary

Methods
`static ConnPerRoute` `getMaxConnectionsPerRoute(org.apache.http.params.HttpParams params)` Deprecated. Returns lookup interface for maximum number of connections allowed per route.
`static int` `getMaxTotalConnections(org.apache.http.params.HttpParams params)` Deprecated. Gets the maximum number of connections allowed.
`static long` `getTimeout(org.apache.http.params.HttpParams params)` Deprecated. (4.1) use `HttpConnectionParams.getConnectionTimeout(HttpParams)`
`static void` `setMaxConnectionsPerRoute(org.apache.http.params.HttpParams params, ConnPerRoute connPerRoute)` Deprecated. Sets lookup interface for maximum number of connections allowed per route.
`static void` `setMaxTotalConnections(org.apache.http.params.HttpParams params, int maxTotalConnections)` Deprecated. Sets the maximum number of connections allowed.
`static void` `setTimeout(org.apache.http.params.HttpParams params, long timeout)` Deprecated. (4.1) use `HttpConnectionParams.setConnectionTimeout(HttpParams, int)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_MAX_TOTAL_CONNECTIONS

    public static final int DEFAULT_MAX_TOTAL_CONNECTIONS

Deprecated.
The default maximum number of connections allowed overall

See Also:
  Constant Field Values

### Constructor Detail

#### ConnManagerParams

    public ConnManagerParams()

Deprecated.

### Method Detail

#### getTimeout

    @Deprecated
    public static long getTimeout(org.apache.http.params.HttpParams params)

Deprecated. (4.1) use `HttpConnectionParams.getConnectionTimeout(HttpParams)`
Returns the timeout in milliseconds used when retrieving a `ManagedClientConnection` from the `ClientConnectionManager`.

Returns:
  timeout in milliseconds.

#### setTimeout

    @Deprecated
    public static void setTimeout(org.apache.http.params.HttpParams params,
                             long timeout)

Deprecated. (4.1) use `HttpConnectionParams.setConnectionTimeout(HttpParams, int)`
Sets the timeout in milliseconds used when retrieving a `ManagedClientConnection` from the `ClientConnectionManager`.

Parameters:
  `timeout` - the timeout in milliseconds

#### setMaxConnectionsPerRoute

    public static void setMaxConnectionsPerRoute(org.apache.http.params.HttpParams params,
                                 ConnPerRoute connPerRoute)

Deprecated.
Sets lookup interface for maximum number of connections allowed per route.

Parameters:
  `params` - HTTP parameters
  `connPerRoute` - lookup interface for maximum number of connections allowed per route

#### getMaxConnectionsPerRoute

    public static ConnPerRoute getMaxConnectionsPerRoute(org.apache.http.params.HttpParams params)

Deprecated.
Returns lookup interface for maximum number of connections allowed per route.

Parameters:
  `params` - HTTP parameters
Returns:
  lookup interface for maximum number of connections allowed per route.

#### setMaxTotalConnections

    public static void setMaxTotalConnections(org.apache.http.params.HttpParams params,
                              int maxTotalConnections)

Deprecated.
Sets the maximum number of connections allowed.

Parameters:
  `params` - HTTP parameters
  `maxTotalConnections` - The maximum number of connections allowed.

#### getMaxTotalConnections

    public static int getMaxTotalConnections(org.apache.http.params.HttpParams params)

Deprecated.
Gets the maximum number of connections allowed.

Parameters:
  `params` - HTTP parameters
Returns:
  The maximum number of connections allowed.